Bug 1013041 - Broker extended test failing on config order
Broker extended test failing on config order
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 12:31 EDT by Clayton Coleman
Modified: 2015-05-14 20:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:23:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-09-27 12:31:25 EDT
rest-applications.feature has two failing tests that look like they have some sort of random component.  

https://ci.dev.openshift.redhat.com/jenkins/job/broker_extended/1599/

    Scenarios: RHEL scenarios
      | format | php_version | phpmyadmin_version | database  |
      | JSON   | 5.3         | 4                  | mysql-5.1 |  {"api_version":1.6,"data":null,"messages":[{"exit_code":109,"field":null,"index":null,"severity":"error","text":"Conflict in calculating configure order. Cartridges should adhere to system's order ('web_framework','service','plugin')."}],"status":"unprocessable_entity","supported_api_versions":[1.0,1.1,1.2,1.3,1.4,1.5,1.6],"type":null,"version":"1.6"}
      expected: 201
           got: 422 (using ==) (RSpec::Expectations::ExpectationNotMetError)
      /root/openshift-test/controller/test/cucumber/step_definitions/api_steps.rb:268:in `/^the response should be "([^\"]*)"$/'
      rest-applications.feature:66:in `Then the response should be "201"'
      | XML    | 5.3         | 4                  | mysql-5.1 |  <?xml version="1.0" encoding="UTF-8"?>
  <response>
    <status>unprocessable_entity</status>
    <type nil="true"></type>
    <data>
      <datum nil="true"></datum>
    </data>
    <messages>
      <message>
        <severity>error</severity>
        <text>Conflict in calculating configure order. Cartridges should adhere to system's order ('web_framework','service','plugin').</text>
        <exit-code>109</exit-code>
        <field nil="true"></field>
        <index nil="true"></index>
      </message>
    </messages>
    <version>1.6</version>
    <api-version>1.6</api-version>
    <supported-api-versions>
      <supported-api-version>1.0</supported-api-version>
      <supported-api-version>1.1</supported-api-version>
      <supported-api-version>1.2</supported-api-version>
      <supported-api-version>1.3</supported-api-version>
      <supported-api-version>1.4</supported-api-version>
      <supported-api-version>1.5</supported-api-version>
      <supported-api-version>1.6</supported-api-version>
    </supported-api-versions>
  </response>
      expected: 201
           got: 422 (using ==) (RSpec::Expectations::ExpectationNotMetError)
      /root/openshift-test/controller/test/cucumber/step_definitions/api_steps.rb:268:in `/^the response should be "([^\"]*)"$/'
      rest-applications.feature:66:in `Then the response should be "201"'
Comment 1 Abhishek Gupta 2013-11-13 13:08:40 EST
This was fixed a while back.
Comment 2 Jianwei Hou 2013-11-14 22:03:47 EST
Mark as verified according to comment 1, such problems are not seen in recent build jobs

Note You need to log in before you can comment on or make changes to this bug.